View Issue Details

IDProjectCategoryView StatusLast Update
0003271SOGoWeb Mailpublic2015-10-23 14:36
ReporterDamien Gombault Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.0 
Fixed in Version2.3.3 
Summary0003271: Inline images sent from SOGo webmail are not displayed in Mozilla Thunderbird
Description

Hi.

I sent an HTML e-mail from SOGo webmail.
I added an inline image to this e-mail then I send my message.
When the recipient read the message in Thunderbird, the inline image is not displayed.

SOGo webmail send the message with content-type: multipart/mixed (original.eml file).
If I modify this file (modified.eml file) and change mixed to related, the inline image is correctly displayed in Thunderbird.

This problem seems to be related to Mozilla Bug : https://bugzilla.mozilla.org/show_bug.cgi?id=61815

I also attach an e-mail sent from GMail (gmail.eml file). It seems they use multipart/related.

Should multipart/mixed be replaced my multipart/related ?

TagsNo tags attached.

Activities

Damien Gombault

Damien Gombault

2015-06-26 11:37

reporter  

original.eml (29,193 bytes)
Damien Gombault

Damien Gombault

2015-06-26 11:37

reporter  

modified.eml (29,195 bytes)
Damien Gombault

Damien Gombault

2015-06-26 11:37

reporter  

gmail.eml (29,575 bytes)
thierry

thierry

2015-10-14 02:25

reporter   ~0008993

Hi!

This is a really important problem!
It's sufficient to replace 'multipart/mixed' by 'multipart/related; type="multipart/alternative"'

Please, even if all other mailer display correctly inline images when multipart/mixed is used, thunderbird will strictly follow RFC ; so do this change, please!

Thanks in advance,
Best,

ludovic

ludovic

2015-10-23 14:36

administrator   ~0009034

https://github.com/inverse-inc/sogo/commit/40a1d5fdbf326d4fbd4c8739d2a6f9b5861b8af0

Issue History

Date Modified Username Field Change
2015-06-26 11:36 Damien Gombault New Issue
2015-06-26 11:37 Damien Gombault File Added: original.eml
2015-06-26 11:37 Damien Gombault File Added: modified.eml
2015-06-26 11:37 Damien Gombault File Added: gmail.eml
2015-10-14 02:25 thierry Note Added: 0008993
2015-10-23 14:36 ludovic Note Added: 0009034
2015-10-23 14:36 ludovic Status new => resolved
2015-10-23 14:36 ludovic Fixed in Version => 2.3.3
2015-10-23 14:36 ludovic Resolution open => fixed
2015-10-23 14:36 ludovic Assigned To => ludovic